<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8" />
        <title>TwoNotes</title>
        <script src="/socket.io/socket.io.js"></script>
        <script src="/paper/paper-core.min.js"></script>
        <script src="/pdf/pdf.js"></script>
        <script src="/app.js" type="module"></script>
        <script>
            document.addEventListener("touchstart", function () {}, true);
        </script>
        <link rel="stylesheet" type="text/css" href="styles/style.css" />
        <!--https://electronjs.org/docs/tutorial/security#csp-meta-tag -->
        <meta
            http-equiv="Content-Security-Policy"
            content="script-src 'self' 'unsafe-inline' 'unsafe-eval';"
        />
    </head>

    <body>
        <div id="menuBar">
            <label class="menuItem" id="btn-file">
                <input type="radio" name="radGrp-overlay" value="file" />
                <div><lang-txt data-key="fileMenuText" /></div>
            </label>
            <div class="overlay submenu hidden" id="overlay-file">
                <div class="submenuItem" id="btn-new">
                    <lang-txt data-key="fileMenuOptionNew" />
                </div>
                <div class="submenuItem" id="btn-open">
                    <lang-txt data-key="fileMenuOptionOpen" />
                </div>
                <div class="submenuItem" id="btn-save">
                    <lang-txt data-key="fileMenuOptionSave" />
                </div>
                <div class="submenuItem" id="btn-saveAs">
                    <lang-txt data-key="fileMenuOptionSaveAs" />
                </div>
                <div class="submenuItem" id="btn-export">
                    <lang-txt data-key="fileMenuOptionExport" />
                </div>
            </div>
            <label class="menuItem" id="btn-insert">
                <input type="radio" name="radGrp-overlay" value="insert" />
                <div><lang-txt data-key="insertMenuText" /></div>
            </label>
            <div class="overlay submenu hidden" id="overlay-insert">
                <div class="submenuItem" id="btn-insertImage">
                    <lang-txt data-key="insertMenuOptionImage" />
                </div>
                <div class="submenuItem" id="btn-insertPDF">
                    <lang-txt data-key="insertMenuOptionPDF" />
                </div>
            </div>
            <label class="radioButton icon-button" id="btn-freeLine">
                <input type="radio" name="radGrp-mode" value="draw" checked />
                <span class="material-icons">edit</span>
            </label>
            <label class="radioButton icon-button" id="btn-erase">
                <input type="radio" name="radGrp-mode" value="erase" />
                <span class="material-icons">backspace</span>
            </label>
            <label class="radioButton icon-button" id="btn-moveItems">
                <input type="radio" name="radGrp-mode" value="moveItems" />
                <span class="material-icons">open_with</span>
            </label>
            <div class="menu-centered-horizontally" id="toolbar">
                <div
                    id="toolbarModule-strokeColor"
                    class="toolbarModule toolbarModule-draw toolbarModule-moveItems toolbarModule-geometry"
                ></div>
                <div
                    id="toolbarModule-strokeWidth"
                    class="toolbarModule toolbarModule-draw toolbarModule-moveItems toolbarModule-erase toolbarModule-geometry range-container"
                >
                    <input
                        type="range"
                        value="1"
                        min="1"
                        max="10"
                        id="slider-strokeWidth"
                        class="range strokeMenuElement"
                    />
                </div>
                <div
                    id="toolbarModule-shape"
                    class="toolbarModule toolbarModule-draw toolbarModule-geometry"
                >
                    <label class="radioButton icon-button" id="btn-freeLine">
                        <input
                            type="radio"
                            name="radGrp-shape"
                            value="freeLine"
                            checked
                        />
                        <span class="material-icons">gesture</span>
                    </label>
                    <label
                        class="radioButton icon-button"
                        id="btn-straightLine"
                    >
                        <input
                            type="radio"
                            name="radGrp-shape"
                            value="straightLine"
                        />
                        <span
                            style="
                                justify-self: center;
                                align-self: center;
                                display: inline-flex;
                                align-items: center;
                                justify-content: center;
                            "
                            ><span
                                class="material-icons"
                                style="transform: rotate(-45deg) scale(1.25)"
                                >remove</span
                            ></span
                        >
                    </label>
                    <label class="radioButton icon-button" id="btn-rectangle">
                        <input
                            type="radio"
                            name="radGrp-shape"
                            value="rectangle"
                        />
                        <span class="material-icons">crop_landscape</span>
                    </label>
                    <label class="radioButton icon-button" id="btn-circle">
                        <input
                            type="radio"
                            name="radGrp-shape"
                            value="circle"
                        />
                        <span class="material-icons"
                            >radio_button_unchecked</span
                        >
                    </label>
                </div>
                <div
                    id="toolbarModule-eraserShape"
                    class="toolbarModule toolbarModule-erase"
                >
                    <label
                        class="radioButton eraserMenuElement"
                        id="btn-eraseEntireLine"
                    >
                        <input
                            type="radio"
                            name="radGrp-eraser"
                            value="entireLine"
                            checked
                        />
                        <span
                            ><lang-txt data-key="eraseMenuOptionEntireLine"
                        /></span>
                    </label>
                    <label
                        class="radioButton eraserMenuElement"
                        id="btn-eraseSelectively"
                    >
                        <input
                            type="radio"
                            name="radGrp-eraser"
                            value="partially"
                        />
                        <span
                            ><lang-txt data-key="eraseMenuOptionPartial"
                        /></span>
                    </label>
                </div>
                <div
                    id="toolbarModule-selectionShape"
                    class="toolbarModule toolbarModule-moveItems"
                >
                    <label class="radioButton" id="btn-select-rect">
                        <input
                            type="radio"
                            name="radGrp-select"
                            value="rect"
                            checked
                        />
                        <span>
                            <lang-txt data-key="selectMenuOptionRect" />
                        </span>
                    </label>
                    <label class="radioButton" id="btn-select-free">
                        <input
                            type="radio"
                            name="radGrp-select"
                            value="lasso"
                        />
                        <span
                            ><lang-txt data-key="selectMenuOptionLasso"
                        /></span>
                    </label>
                </div>
                <div
                    id="toolbarModule-snapToGrid"
                    class="toolbarModule toolbarModule-geometry switchOptionWrapper"
                >
                    <lang-txt data-key="shapeMenuOptionSnapToGrid"></lang-txt>
                    <label class="switch">
                        <input type="checkbox" id="switch-snapToGrid" />
                        <span class="slider" id="slider-snapToGrid"></span>
                    </label>
                </div>
            </div>
            <div class="button icon-button" id="btn-undo">
                <span class="material-icons">undo</span>
            </div>
            <div class="button icon-button" id="btn-redo">
                <span class="material-icons">redo</span>
            </div>
            <label class="menuItem" id="btn-pageSetup">
                <input type="radio" name="radGrp-overlay" value="pageSetup" />
                <div><lang-txt data-key="setupMenuText" /></div>
            </label>
            <div
                class="overlay dialog setupMenuElement hidden"
                id="overlay-pageSetup"
            >
                <lang-txt data-key="setupMenuTextRuling"></lang-txt>
                <div class="radioGroup setupMenuElement">
                    <label class="radioButton">
                        <input
                            type="radio"
                            checked="checked"
                            name="radGrp-ruling"
                            value="noLines"
                        />
                        <span
                            ><lang-txt data-key="setupMenuRulingOptionNone"
                        /></span>
                    </label>
                    <label class="radioButton">
                        <input
                            type="radio"
                            name="radGrp-ruling"
                            value="lined"
                        />
                        <span
                            ><lang-txt data-key="setupMenuRulingOptionLined"
                        /></span>
                    </label>
                    <label class="radioButton">
                        <input
                            type="radio"
                            name="radGrp-ruling"
                            value="squared"
                        />
                        <span
                            ><lang-txt data-key="setupMenuRulingOptionSquared"
                        /></span>
                    </label>
                    <label class="radioButton">
                        <input
                            type="radio"
                            name="radGrp-ruling"
                            value="dotted"
                        />
                        <span
                            ><lang-txt data-key="setupMenuRulingOptionDotted"
                        /></span>
                    </label>
                </div>
                <div class="switchOptionWrapper">
                    <lang-txt
                        data-key="setupMenuPaperTypeOptionRecycling"
                    ></lang-txt>
                    <label class="switch">
                        <input type="checkbox" id="switch-paperColor" />
                        <span
                            class="slider setupMenuElement"
                            id="slider-paperColor"
                        ></span>
                    </label>
                </div>
                <div class="switchOptionWrapper">
                    <lang-txt
                        data-key="setupMenuPaperOptionInfinite"
                    ></lang-txt>
                    <label class="switch">
                        <input type="checkbox" id="switch-infPaper" />
                        <span
                            class="slider setupMenuElement"
                            id="slider-infPaper"
                        ></span>
                    </label>
                </div>
            </div>
            <label class="menuItem" id="btn-info">
                <input type="radio" name="radGrp-overlay" value="info" />
                <div><lang-txt data-key="infoMenuText" /></div>
            </label>
            <div class="overlay dialog hidden" id="overlay-info">
                <span id="versionInfo"></span>
            </div>
        </div>
        <div id="main">
            <canvas id="view" width="500" height="500"></canvas>
            <canvas id="pdf-canvas"></canvas>
        </div>
        <div class="overlay dialog hidden" id="overlay-newFileSetup">
            <div>
                <h4>
                    <lang-txt data-key="setupMenuTextNewFile" />
                </h4>
                <lang-txt data-key="setupMenuTextSelectBackground"></lang-txt>
                <div class="templateOptions">
                    <button
                        class="templateOption"
                        value="noLines"
                        type="button"
                    >
                        <lang-txt data-key="setupMenuRulingOptionNone" />
                    </button>
                    <button class="templateOption" value="lined" type="button">
                        <lang-txt data-key="setupMenuRulingOptionLined" />
                    </button>
                    <button
                        class="templateOption"
                        value="squared"
                        type="button"
                    >
                        <lang-txt data-key="setupMenuRulingOptionSquared" />
                    </button>
                    <button class="templateOption" value="dotted" type="button">
                        <lang-txt data-key="setupMenuRulingOptionDotted" />
                    </button>
                </div>
            </div>
            <div>
                <h4>
                    <lang-txt data-key="setupMenuTextOpenFile" />
                </h4>
                <div class="templateOptions">
                    <button value="openFile" type="button">
                        <lang-txt data-key="setupMenuOptionOpenFile" />
                    </button>
                    <button value="importPDF" type="button">
                        <lang-txt data-key="setupMenuOptionImportPDF" />
                    </button>
                </div>
            </div>
        </div>
        <div class="overlay dialog hidden" id="overlay-export">
            <h4><lang-txt data-key="exportMenuTextExportPDF" /></h4>
            <div class="switchOptionWrapper">
                <lang-txt data-key="exportMenuOptionIncludeRuling"></lang-txt>
                <label class="switch">
                    <input type="checkbox" id="switch-includeRuling" />
                    <span class="slider" id="slider-includeRuling"></span>
                </label>
            </div>
            <div class="switchOptionWrapper">
                <lang-txt
                    data-key="exportMenuOptionIncludePDFBackground"
                ></lang-txt>
                <label class="switch">
                    <input type="checkbox" id="switch-includePDFBackground" />
                    <span
                        class="slider"
                        id="slider-includePDFBackground"
                    ></span>
                </label>
            </div>
            <div class="dialogFooter">
                <button value="cancelExport" type="button">Abbrechen</button>
                <button value="export" type="button">
                    <lang-txt data-key="exportMenuActionExport" />
                </button>
            </div>
        </div>
        <div id="btn-addPage" class="hidden">
            <lang-txt data-key="buttonAddPage" />
        </div>

        <template>
            <label class="radioButton strokeMenuElement">
                <input type="radio" name="radGrp-color" />
                <span>
                    <svg width="1.5rem" height="1.5rem">
                        <circle
                            cx="50%"
                            cy="50%"
                            r="45%"
                            fill="currentColor"
                            stroke="var(--textColor)"
                        ></circle>
                    </svg>
                </span>
            </label>
        </template>
    </body>
</html>
